%# parse file (change the data types if necessary)

clc
clear all

teller = 1;
start_visc = 1;
end_visc = 3;
N_freq = end_visc/start_visc;


for jter=1:N_freq
    
leg(teller,:) = {sprintf('Viscosity of %1.0fe-3 m^2/s',jter)};

teller = teller +1;
    
a = sprintf('viscosity%1.0fe-3_50Hz/logs/CourantMax_0',jter);

A = importdata(a);

temp = A(:,2);

fig1 = figure(1);
hold all

plot(temp(1:500))

% a = sprintf('pressure_x%3.0Hz',jter*start_freq);
% b = sprintf('pressure_y%3.0Hz',jter*start_freq);
% c = sprintf('pressure_z%3.0Hz',jter*start_freq);
% d = sprintf('viscous_x%3.0Hz',jter*start_freq);
% e = sprintf('viscous_y%3.0Hz',jter*start_freq);
% f = sprintf('viscous_z%3.0Hz',jter*start_freq);
% g = sprintf('mom_pressure_x%3.0Hz',jter*start_freq);
% h = sprintf('mom_pressure_y%3.0Hz',jter*start_freq);
% i = sprintf('mom_pressure_z%3.0Hz',jter*start_freq);
% j = sprintf('mom_viscous_x%3.0Hz',jter*start_freq);
% k = sprintf('mom_viscous_y%3.0Hz',jter*start_freq);
% l = sprintf('mom_viscous_z%3.0Hz',jter*start_freq);

end

xlabel('Time [s]')
ylabel('Max Courant number')
legend(leg,'Location','NorthEastOutside')
title_handle = {'Max Courant number for case with viscosity from 1e-3 to 5e-3 m^2/s,';...
    '0.25 in amplitude and frequency of 50 Hz.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'courant_max_visc';
print(fig1,'-djpeg',fig_name)
