clc
clear all

format short g

dt = 2e-5;

t_max = 0.00500;
counter=1;

% size = 1+t_max/dt;
% 
% b = zeros(size,1);

plot_factor = 5;

% for i=plot_factor*dt:dt:plot_factor*dt

a = sprintf('viscosity_1e-3_500Hz/logs/CourantMax_0');
b = sprintf('viscosity_1e-4_500Hz/logs/CourantMax_0');
c = sprintf('viscosity_1e-5_500Hz/logs/CourantMax_0');
d = sprintf('viscosity_1e-6_500Hz/logs/CourantMax_0');

A = importdata(a);
B = importdata(b);
C = importdata(c);
D = importdata(d);

hold all

fig1 = figure(1);

plot(A(:,1),A(:,2),B(:,1),B(:,2),C(:,1),C(:,2),D(:,1),D(:,2))

leg = ['viscosity of 1e-3';'viscosity of 1e-4';'viscosity of 1e-5';'viscosity of 1e-6'];
counter = counter + 1;

ylabel('Velocity [m/s]')
xlabel('Distance from inner cylinder [mm]')
legend(leg,'Location','NorthEastOutside')
title_handle = {'Max courant number for case with different viscosity.';...
    'Alpha=0.9, 0.00025 in amplitude and 500 Hz in frequency.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'courant_number_max_500Hz';
print(fig1,'-djpeg',fig_name)