clc
clear all

teller = 1;

amp = {sprintf('0.30'),sprintf('0.35'),sprintf('0.40'),sprintf('0.45'),sprintf('0.50'),sprintf('0.55'),sprintf('0.60'),sprintf('0.65'),sprintf('0.70'),sprintf('0.75'),sprintf('0.80'),sprintf('0.85'),sprintf('0.90'),sprintf('0.95'),sprintf('1.00'),sprintf('1.10'),sprintf('1.20'),sprintf('1.30'),sprintf('1.40')};
N_amp = length(amp);

amp_fig = {sprintf('0_30'),sprintf('0_35'),sprintf('0_40'),sprintf('0_45'),sprintf('0_50'),sprintf('0_55'),sprintf('0_60'),sprintf('0_65'),sprintf('0_70'),sprintf('0_75'),sprintf('0_80'),sprintf('0_85'),sprintf('0_90'),sprintf('0_95'),sprintf('1_00'),sprintf('1_10'),sprintf('1_20'),sprintf('1_30'),sprintf('1_40')};
amp_numb = [0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.00 1.10 1.20 1.30 1.40];

    for iter=1:N_amp
       
        leg(iter,:) = {sprintf('Amplitude of %s',amp{iter})};

        temp_data = sprintf('data_viscosity6e-4_500Hz_A%s/logs/CourantMax_0',amp{iter});
        
        A = importdata(temp_data);
        
        temp1(iter,:) = A(:,1);
        temp2(iter,:) = A(:,2);
        

        hold all
        fig(teller) = figure(teller);
        
        plot(temp1(iter,:),temp2(iter,:))
        
        xlabel('Time [s]')
        ylabel('Courant number [-]')
        legend(leg(iter),'Location','NorthEastOutside')
        title_handle = {'Courant number for case with viscosity of 6e-4 m^2/s';'alpha value of 0.9, frequency of 500Hz and variable amplitude.'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('courant_sweep_amp%s',amp_fig{iter});
        print(fig(teller),'-depsc',fig_name)
        
        hold off
        teller = teller + 1;
        
    end
    
        hold off
        fig(teller) = figure(teller);
    
        plot(temp2(:,:)')
        xlabel('Time [s]')
        ylabel('Courant number [-]')
        legend(leg(:),'Location','NorthEastOutside')
        title_handle = {'Courant number for case with viscosity of 6e-4 m^2/s';'alpha value of 0.9, frequency of 500Hz and variable amplitude.'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = 'courant_sweep_amp_summary';
        print(fig(teller),'-depsc',fig_name)
        
        
        max_courant = max(temp2(:,:)');
        teller = teller + 1;
        fig(teller) = figure(teller);
        
        plot(amp_numb,max_courant)
        xlabel('Amplitude')
        ylabel('Max Courant number [-]')
        legend('Max courant number','Location','NorthEastOutside')
        title_handle = {'Max Courant number for case with viscosity of 6e-4 m^2/s';'alpha value of 0.9, frequency of 500Hz and variable amplitude.'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = 'max_courant_amplitude_summary';
        print(fig(teller),'-depsc',fig_name)
        
        