%# parse file (change the data types if necessary)

clc
clear all

teller = 1;
start_freq = 50;
end_freq = 500;
N_freq = end_freq/start_freq;


for jter=1:N_freq
    
leg(teller,:) = {sprintf('Frequency of %3.0f Hz',jter*start_freq)};

teller = teller +1;
    
temp = sprintf('viscosity_1e-3_%2.0fHz/forces/0/forces.dat',jter*start_freq);
    
fid = fopen(temp,'rt');

formatSpec = '%f(((%f %f %f) (%f %f %f)) ((%f %f %f) (%f %f %f)))';
delimiter_input = ['\t'];
C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
fclose(fid);

%# put columns in separate variables
[time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});


fig1 = figure(1);
hold all

plot(time(50:end),B(50:end))

% a = sprintf('pressure_x%3.0Hz',jter*start_freq);
% b = sprintf('pressure_y%3.0Hz',jter*start_freq);
% c = sprintf('pressure_z%3.0Hz',jter*start_freq);
% d = sprintf('viscous_x%3.0Hz',jter*start_freq);
% e = sprintf('viscous_y%3.0Hz',jter*start_freq);
% f = sprintf('viscous_z%3.0Hz',jter*start_freq);
% g = sprintf('mom_pressure_x%3.0Hz',jter*start_freq);
% h = sprintf('mom_pressure_y%3.0Hz',jter*start_freq);
% i = sprintf('mom_pressure_z%3.0Hz',jter*start_freq);
% j = sprintf('mom_viscous_x%3.0Hz',jter*start_freq);
% k = sprintf('mom_viscous_y%3.0Hz',jter*start_freq);
% l = sprintf('mom_viscous_z%3.0Hz',jter*start_freq);

end

xlabel('Time [s]')
ylabel('Force per length unit [N/mm]')
legend(leg,'Location','NorthEastOutside')
title_handle = {'Pressure force for alpha=0.9, 1e-3 m^2/s in viscosity,';...
    '0.00025 in amplitude and frequencies from 50 to 500 Hz.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'pressure_force';
print(fig1,'-djpeg',fig_name)
