
clc
clear all

teller = 1;
start_alpha = 5;
end_alpha = 9;
N_alpha = 1+end_alpha-start_alpha;


for jter=1:N_alpha
    
leg(teller,:) = {sprintf('Alpha value of 0%1.0f',jter+start_alpha-1)};
    
temp = sprintf('visc1e-3_alpha0%1.0f/forces/0/forces.dat',jter+start_alpha-1);
    
fid = fopen(temp,'rt');

formatSpec = '%f(((%f %f %f) (%f %f %f)) ((%f %f %f) (%f %f %f)))';
delimiter_input = ['\t'];
C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
fclose(fid);

[time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});

fig1 = figure(1);
hold all

temp = B(50:end);

plot(temp)

force_max(jter) = max(temp);

teller = teller +1;

end

%% Alpha 085

temp = sprintf('visc1e-3_alpha085/forces/0/forces.dat');
    
fid = fopen(temp,'rt');

formatSpec = '%f(((%f %f %f) (%f %f %f)) ((%f %f %f) (%f %f %f)))';
delimiter_input = ['\t'];
C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
fclose(fid);

[time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});

temp = B(50:end);

plot(temp)

force_max_085 = max(temp);

%% Alpha 092

temp = sprintf('visc1e-3_alpha092/forces/0/forces.dat');
    
fid = fopen(temp,'rt');

formatSpec = '%f(((%f %f %f) (%f %f %f)) ((%f %f %f) (%f %f %f)))';
delimiter_input = ['\t'];
C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
fclose(fid);

[time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});

temp = B(50:end);

plot(temp)

force_max_092 = max(temp);

%% Alpha 094

% temp = sprintf('visc1e-3_alpha094/forces/0/forces.dat');
%     
% fid = fopen(temp,'rt');
% 
% formatSpec = '%f(((%f %f %f) (%f %f %f)) ((%f %f %f) (%f %f %f)))';
% delimiter_input = ['\t'];
% C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
% fclose(fid);
% 
% [time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});
% 
% temp = B(50:end);
% 
% plot(temp)
% 
% force_max_094 = max(temp);

%%

leg = [leg(1:4);'Alpha value of 085';leg(5);'Alpha value of 092'];

xlabel('Time [s]')
ylabel('Force per length unit [N/mm]')
legend(leg,'Location','NorthEastOutside')
title_handle = {'Pressure force for different alpha values, 1e-3 m^2/s in viscosity,';...
    '0.25 in amplitude and frequency of 300 Hz.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'pressure_force_alpha';
print(fig1,'-djpeg',fig_name)


%%

fig2=figure(2);

force_max = [force_max(1:4) force_max_085 force_max(5) force_max_092 ];
alpha = [0.5 0.6 0.7 0.8 0.85 0.9 0.92];

plot(alpha,force_max)
xlabel('Alpha value [-]')
ylabel('Force per length unit [N/mm]')
legend('Max pressure force','Location','NorthEastOutside')
title_handle = {'Max pressure force for different alpha values, 1e-3 m^2/s in viscosity,';...
    '0.25 in amplitude and frequency of 300 Hz.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'max_pressure_force_alpha';
print(fig2,'-djpeg',fig_name)


%%
