clc
clear all

amp = {sprintf('0.30'),sprintf('0.35'),sprintf('0.40'),sprintf('0.45'),sprintf('0.50'),sprintf('0.55'),sprintf('0.60'),sprintf('0.65'),sprintf('0.70'),sprintf('0.75'),sprintf('0.80'),sprintf('0.85'),sprintf('0.90'),sprintf('0.95'),sprintf('1.00'),sprintf('1.10'),sprintf('1.20'),sprintf('1.30'),sprintf('1.40')};
N_amp = length(amp);

amp_fig = {sprintf('0_30'),sprintf('0_35'),sprintf('0_40'),sprintf('0_45'),sprintf('0_50'),sprintf('0_55'),sprintf('0_60'),sprintf('0_65'),sprintf('0_70'),sprintf('0_75'),sprintf('0_80'),sprintf('0_85'),sprintf('0_90'),sprintf('0_95'),sprintf('1_00'),sprintf('1_10'),sprintf('1_20'),sprintf('1_30'),sprintf('1_40')};
amp_numb = [0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 1.00 1.10 1.20 1.30 1.40];

    i_teller = 1;
    v_teller = 101;
    teller = 1001;

    for iter=1:N_amp
        
        leg(iter) = {sprintf('Amplitude of %s',amp{iter})};
        
        static_leg = {'Pressure force';'Viscous force'};
        
        temp = sprintf('data_viscosity6e-4_500Hz_A%s/forces/0/forces.dat',amp{iter});
        
        fid = fopen(temp,'rt');

        formatSpec = '%f(((%f %f %f) (%f %f %f)) ((%f %f %f) (%f %f %f)))';
        delimiter_input = ['\t'];
        C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
        fclose(fid);

        %# put columns in separate variables
        [time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});
        
        time = time(350:end);
        temp_pressure = B(350:end);
        temp_visc = E(350:end);
        
        stored_pressure(iter,:) = temp_pressure;
        stored_visc(iter,:) = temp_visc;

        force_max_pressure(iter) = max(temp_pressure);
        force_max_visc(iter) = max(temp_visc);
        
        force_difference = force_max_pressure./force_max_visc;
        
%         hold all
%         figure(teller);
%         
%         plot(time,stored_pressure(iter,:)',time,stored_visc(iter,:)')
%             
%         xlabel('Time [s]')
%         ylabel('Force per length unit [N/mm]')
%         legend(static_leg,'Location','NorthEastOutside')
%         title_handle = {'Pressure and viscous force for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
%         'frequency of 500 Hz and variable amplitude.'};
%         title(title_handle,'FontWeight','bold')
%         set(gca, 'ActivePositionProperty', 'OuterPosition');
%         fig_name = sprintf('forces_amp%s',amp_fig{iter});
%         print(figure(teller),'-djpeg',fig_name)
% 
%         hold off
%         
%         teller = teller + 1;
        
    hold all
    figure(i_teller);
        
    plot(time,stored_pressure')
            
    xlabel('Time [s]')
    ylabel('Force per length unit [N/mm]')
    legend(leg,'Location','NorthEastOutside')
    title_handle = {'Pressure force for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
        'frequency of 500 Hz and variable amplitude.'};
    title(title_handle,'FontWeight','bold')
    set(gca, 'ActivePositionProperty', 'OuterPosition');
    fig_name = sprintf('pressure_force_amp%s',amp_fig{iter});
    print(figure(i_teller),'-depsc',fig_name)

    hold off
    
    i_teller = i_teller + 1;
    
    hold all

    figure(v_teller)
    plot(time,stored_visc')
    xlabel('Time [s]')
    ylabel('Force per length unit [N/mm]')
    legend(leg,'Location','NorthEastOutside')
    title_handle = {'Viscous force for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
        'frequency of 500 Hz and variable amplitude.'};
    title(title_handle,'FontWeight','bold')
    set(gca, 'ActivePositionProperty', 'OuterPosition');
    fig_name = sprintf('viscous_force_amp%s',amp_fig{iter});
    print(figure(v_teller),'-depsc',fig_name)
    
    hold off
    
    v_teller = v_teller + 1;

    end
    


    rel_pressure_force_max(:,:) = force_max_pressure(:,:)./force_max_pressure(1,1);
    rel_viscous_force_max(:,:) = force_max_visc(:,:)./force_max_visc(1,1);

%% Processing of the force_max variable

hold all
figure(i_teller+1);
plot(amp_numb,force_max_pressure')

xlabel('Amplitude value [-]')
ylabel('Maximum pressure force [N/mm]')
legend('Pressure force','Location','NorthEastOutside')
    title_handle = {'Maximum pressure force for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
        'frequency of 500 Hz and variable amplitude.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'max_pressure_force';
print(figure(i_teller+1),'-depsc',fig_name)

hold off

hold all
figure(i_teller+2);
plot(amp_numb,force_max_visc')

xlabel('Amplitude value [-]')
ylabel('Maximum viscous force [N/mm]')
legend('Viscous force','Location','NorthEastOutside')
    title_handle = {'Maximum viscous force for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
        'frequency of 500 Hz and variable amplitude.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'max_viscous_force';
print(figure(i_teller+2),'-depsc',fig_name)

hold off

hold all
figure(i_teller+3);
plot(amp_numb,force_difference')

xlabel('Amplitude value [-]')
ylabel('Relative force difference [-]')
legend('Relative force','Location','NorthEastOutside')
    title_handle = {'Relative force difference between viscous and pressure force,';
        'for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
        'frequency of 500 Hz and variable amplitude.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'relative_force_difference_amplitude';
print(figure(i_teller+3),'-depsc',fig_name)

hold off

%%