clc
clear all

teller = 1;
k_teller = 1;

% freq = {sprintf('50'),sprintf('100'),sprintf('150'),sprintf('200'),sprintf('250'),sprintf('300'),sprintf('350'),sprintf('400'),sprintf('450'),sprintf('500')};
freq = {sprintf('150'),sprintf('200'),sprintf('250'),sprintf('300'),sprintf('350'),sprintf('400'),sprintf('450'),sprintf('500')};
freq_numb = [150 200 250 300 350 400 450 500];
N_freq = length(freq);

visc ={sprintf('1e-3'),sprintf('9e-4'),sprintf('8e-4'),sprintf('7e-4'),sprintf('6e-4'),sprintf('5e-4'),sprintf('4e-4'),sprintf('3e-4'),sprintf('2e-4'),sprintf('1e-4')};

N_visc = length(visc);

static_dt = 2e-5;
dt_factor = [8 7 6 5 4 3 2 1]*static_dt;
delta_factor = 3;
time_freq = 1./(4*freq_numb);
time_round = round(time_freq./static_dt);

for iter=1:N_freq
    
        time_freq = time_round(iter)*static_dt;
        dt = dt_factor(iter);
        start_time = time_freq - delta_factor*dt;
        end_time = time_freq + delta_factor*dt;
        time = start_time:dt:end_time;
        N_time = length(time);
        
        leg = cell(N_freq, N_time);
        leg(:,:) = {''};
    
    for jter=1:N_visc
       
        for kter=1:N_time
        
        leg(iter,kter) = {sprintf('%1.5f seconds',time(kter))};

        temp = sprintf('viscosity%s_%sHz/sets/%1.5f/zero_deg_U.xy',visc{jter},freq{iter},time(kter));
        
        A = importdata(temp);

        hold all
        figure(teller);
        
        plot((0:(1/(length(A)-1)):1),A(:,3))
        
        xlabel('Time [s]')
        ylabel('Velocity [m/s]')
        legend(leg(iter,:),'Location','NorthEastOutside')
        title_handle = {sprintf('Turning velocity profile for viscosity of %s m^2/s and frequency of %s Hz,',visc{jter},freq{iter});'0.25 in amplitude and alpha value of 0.9'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('freq_velocity_profile_visc%s_freq%s',visc{jter},freq{iter});
        print(figure(teller),'-djpeg',fig_name)

        hold off
        
        end
        
        teller = teller +1;

    end

end