clc
clear all
        
        temp = sprintf('logfile_20.csv');
        
        fid = fopen(temp,'rt');

        formatSpec = '%f %f %f %f %f %f %f %f %f %f %f %f %f';
        delimiter_input = [','];
        C = textscan(fid,formatSpec,'Delimiter',delimiter_input,'CommentStyle',{'#'});
        fclose(fid);

        %# put columns in separate variables
        [time,A,B,C,D,E,F,G,H,I,J,K,L] = deal(C{:});
        
        time = time(350:end);
        temp_pressure = B(350:end);
        temp_visc = E(350:end);

        
        
    hold all
    figure(i_teller);
        
    plot(time,stored_pressure')
            
    xlabel('Time [s]')
    ylabel('Force per length unit [N/mm]')
    legend(leg,'Location','NorthEastOutside')
    title_handle = {'Pressure force for alpha value of 0.9, 6e-4 m^2/s in viscosity,';
        'frequency of 500 Hz and variable amplitude.'};
    title(title_handle,'FontWeight','bold')
    set(gca, 'ActivePositionProperty', 'OuterPosition');
    fig_name = sprintf('pressure_force_amp%s',amp_fig{iter});
    print(figure(i_teller),'-depsc',fig_name)

    hold off
    
    i_teller = i_teller + 1;