clc
clear all

teller = 1;
k_teller = 1;

% freq = {sprintf('50'),sprintf('100'),sprintf('150'),sprintf('200'),sprintf('250'),sprintf('300'),sprintf('350'),sprintf('400'),sprintf('450'),sprintf('500')};
freq = {sprintf('100'),sprintf('150'),sprintf('200'),sprintf('250'),sprintf('300'),sprintf('350'),sprintf('400'),sprintf('450'),sprintf('500')};
freq_numb = [100 150 200 250 300 350 400 450 500];

N_freq = length(freq);

visc = {sprintf('1e-3'),sprintf('9e-4'),sprintf('8e-4'),sprintf('7e-4'),sprintf('6e-4'),sprintf('5e-4'),sprintf('4e-4'),sprintf('3e-4'),sprintf('2e-4'),sprintf('1e-4')};
visc_numb = [1e-3 9e-4 8e-4 7e-4 6e-4 5e-4 4e-4 3e-4 2e-4 1e-4];

N_visc = length(visc);

start_time = 0.00000;
end_time = 0.00500;
dt = 2e-5;
time = start_time:dt:end_time;
N_time = length(time);

leg = cell(N_visc,1);
leg(:,1) = {''};

stored_max = 0;
temp_max = 0;

for iter=1:N_visc
    
    for jter=1:N_freq

        for kter=1:N_time
        
        k_teller = k_teller + 1;

        temp = sprintf('viscosity%s_%sHz/sets/%1.5f/zero_deg_U.xy',visc{iter},freq{jter},time(kter));
        
        A = importdata(temp);
        
        a = A(:,3);
        
        temp_max = max(a);
        
            if temp_max > stored_max
        
                stored_max = temp_max;
            
            else
            
                temp_max = 0;
        
            end
        
        end
        
        max_vel(iter,jter) = stored_max;
        
        stored_max = 0;

    end
    
        leg(iter,1) = {sprintf('Viscosity of %s m^2/s',visc{iter})};
        
        hold all
    
        figure(teller)
        plot(freq_numb,max_vel(iter,:))
        
        xlabel('Frequency [Hz]')
        ylabel('Velocity [m/s]')
        legend('Max velocity','Location','NorthEastOutside')
        title_handle = {sprintf('Max velocity for viscosity of %s m^2/s and variable frequency,',visc{iter});'0.25 in amplitude and alpha value of 0.9'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('max_velocity_visc%s_freq%s',visc{iter},freq{jter});
        print(figure(teller),'-djpeg',fig_name)
        
        hold off
        
        teller = teller +1;
        
end

        figure(33)
        plot(freq_numb,max_vel)
        
        xlabel('Frequency [Hz]')
        ylabel('Velocity [m/s]')
        legend(leg,'Location','NorthEastOutside')
        title_handle = {sprintf('Max velocity for different viscosity and variable frequency values,');'0.25 in amplitude and alpha value of 0.9'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('max_velocity_freq_visc_summary');
        print(figure(33),'-djpeg',fig_name)
