clc
clear all

teller = 1;
k_teller = 1;

% alpha = {sprintf('05'),sprintf('06'),sprintf('07'),sprintf('08'),sprintf('085'),sprintf('09'),sprintf('092'),sprintf('094')};
alpha = {sprintf('05'),sprintf('06'),sprintf('07'),sprintf('08'),sprintf('085'),sprintf('09'),sprintf('092')};
N_alpha = length(alpha);

visc = {sprintf('1e-3'),sprintf('9e-4'),sprintf('8e-4'),sprintf('7e-4'),sprintf('6e-4'),sprintf('5e-4'),sprintf('4e-4'),sprintf('3e-4'),sprintf('2e-4'),sprintf('1e-4')};
N_visc = length(visc);

start_time = 0.00002;
end_time = 0.00050;
dt = 2e-5;
dt_factor = 4;
time = start_time:dt_factor*dt:end_time;
N_time = length(time);

for iter=1:N_visc
    
    for jter=1:N_alpha
        
        for kter=1:N_time
        
        leg(k_teller,:) = {sprintf('%1.5f seconds',time(kter))};
        
        k_teller = k_teller + 1;

        temp = sprintf('visc%s_alpha%s/sets/%1.5f/zero_deg_U.xy',visc{iter},alpha{jter},time(kter));
        
        A = importdata(temp);

        hold all
        figure(teller);
        
        plot((0:(1/(length(A)-1)):1),A(:,3))
        
        xlabel('Time [s]')
        ylabel('Velocity [m/s]')
        legend(leg,'Location','NorthEastOutside')
        title_handle = {sprintf('Start velocity profile for viscosity of %s, alpha value of %s',visc{iter},alpha{jter});...
            '0.25 in amplitude and frequency of 300 Hz.'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('start_velocity_profile_visc%s_alpha%s',visc{iter},alpha{jter});
        print(figure(teller),'-djpeg',fig_name)

        hold off
        
        end
        
        teller = teller +1;

    end

end