clc
clear all

format short g

dt = 2e-5;

t_max = 0.0050;
counter=1;

for i=dt:dt:t_max/10

a = sprintf('viscosity_1e-3_300Hz/sets/%1.5f/zero_deg_U.xy',i);

A = importdata(a);

hold all

fig1 = figure(1);

plot((0:(1/(length(A)-1)):1),A(:,3))
b(counter,:) = {sprintf('Numerical solution for t=%1.5f s',i)};
counter = counter + 1;
end

legend(b,'Location','NorthEastOutside')
ylabel('Velocity [m/s]')
xlabel('Distance from inner cylinder [mm]')
% legend(leg,'Location','NorthEastOutside')
title_handle = {'Velocity profile for case with alpha=0.9, 1e-3 m^2/s in viscosity, ';...
    '0.00025 in amplitude and 300 Hz in frequency.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'velocity_development_test';
print(fig1, '-djpeg', fig_name)
% print(fig1,'-r0','-djpeg90',fig_name)