clc
clear all

format short g

dt = 2e-5;

t_max = 0.0050;
counter=1;

scrsz = get(0,'ScreenSize');

for iter=dt:dt:dt

a = sprintf('viscosity_1e-3_50Hz/sets/%1.5f/zero_deg_U.xy',iter);
b = sprintf('viscosity_1e-3_100Hz/sets/%1.5f/zero_deg_U.xy',iter);
c = sprintf('viscosity_1e-3_150Hz/sets/%1.5f/zero_deg_U.xy',iter);
d = sprintf('viscosity_1e-3_200Hz/sets/%1.5f/zero_deg_U.xy',iter);
e = sprintf('viscosity_1e-3_250Hz/sets/%1.5f/zero_deg_U.xy',iter);
f = sprintf('viscosity_1e-3_300Hz/sets/%1.5f/zero_deg_U.xy',iter);
g = sprintf('viscosity_1e-3_350Hz/sets/%1.5f/zero_deg_U.xy',iter);
h = sprintf('viscosity_1e-3_400Hz/sets/%1.5f/zero_deg_U.xy',iter);
i = sprintf('viscosity_1e-3_450Hz/sets/%1.5f/zero_deg_U.xy',iter);
j = sprintf('viscosity_1e-3_500Hz/sets/%1.5f/zero_deg_U.xy',iter);

A = importdata(a);
B = importdata(b);
C = importdata(c);
D = importdata(d);
E = importdata(e);
F = importdata(f);
G = importdata(g);
H = importdata(h);
I = importdata(i);
J = importdata(j);

hold all

fig1 = figure(1);

plot((0:(1/(length(A)-1)):1),A(:,3),(0:(1/(length(B)-1)):1),B(:,3),(0:(1/(length(C)-1)):1),C(:,3),...
    (0:(1/(length(D)-1)):1),D(:,3),(0:(1/(length(E)-1)):1),E(:,3),(0:(1/(length(F)-1)):1),F(:,3),...
    (0:(1/(length(G)-1)):1),G(:,3),(0:(1/(length(H)-1)):1),H(:,3),(0:(1/(length(I)-1)):1),I(:,3),...
    (0:(1/(length(J)-1)):1),J(:,3))

end

teller = 1;
start_freq = 50;
end_freq = 500;
N_freq = end_freq/start_freq;

for jter=1:N_freq
    
leg(teller,:) = {sprintf('Frequency of %3.0f Hz',jter*start_freq)};

teller = teller +1;

end

ylabel('Velocity [m/s]')
xlabel('Distance from inner cylinder [mm]')
legend(leg,'Location','NorthEastOutside')
title_handle = {'Velocity profile for case with alpha=0.9, 1e-3 m^2/s in viscosity, ';...
    '0.00025 in amplitude and frequencies from 50 to 500 Hz.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'vel_del_visc1e-3_freq_sweep';
print(fig1,'-djpeg',fig_name)

