clc
clear all

format short g

dt = 2e-5;

t_max = 0.00150;
counter=1;

% size = 1+t_max/dt;
% 
% b = zeros(size,1);

for i=dt:dt:t_max

a = sprintf('data_movingMesh252/sets/%1.5f/zero_deg_U.xy',i);

A = importdata(a);

hold all

fig1 = figure(1);

plot((0:(1/(length(A)-1)):1),A(:,3))

b(counter,:) = {sprintf('Numerical solution for t=%1.4f s',i)};
counter = counter + 1;
end

ylabel('Velocity [m/s]')
xlabel('Distance from inner cylinder [mm]')
legend(b,'Location','NorthEastOutside')
title_handle = {'Velocity profile for case with alpha=0.9, 1.0e-3 m^2/s in viscosity,';...
    '0.25 in amplitude and 50Hz in frequency.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'velocity_development_test252';
print(fig1, '-djpeg', fig_name)