clc
clear all

teller = 1;
k_teller = 1;

% freq = {sprintf('50'),sprintf('100'),sprintf('150'),sprintf('200'),sprintf('250'),sprintf('300'),sprintf('350'),sprintf('400'),sprintf('450'),sprintf('500')};
freq = {sprintf('100'),sprintf('150'),sprintf('200'),sprintf('250'),sprintf('300'),sprintf('350'),sprintf('400'),sprintf('450'),sprintf('500')};
N_freq = length(freq);

% visc = {sprintf('1e-3'),sprintf('9e-4'),sprintf('8e-4'),sprintf('7e-4'),sprintf('6e-4'),sprintf('5e-4'),sprintf('4e-4'),sprintf('3e-4'),sprintf('2e-4'),sprintf('1e-4')};
visc = {sprintf('1e-3'),sprintf('1e-4'),sprintf('2e-4'),sprintf('3e-4'),sprintf('4e-4'),sprintf('5e-4')};

N_visc = length(visc);

start_time = 0.0000;
end_time = 0.00500;
dt = 2e-5;
dt_factor = 1;
time = start_time:dt_factor*dt:end_time;
N_time = length(time);

leg = cell(N_freq,N_time);
leg(:,:) = {''};

for iter=1:N_visc
    
    for jter=1:N_freq
        
        for kter=1:N_time
        
%         leg(k_teller,:) = {sprintf('%1.5f seconds',time(kter))};
        leg(jter,kter) = {sprintf('%1.5f seconds',time(kter))};
        
        k_teller = k_teller + 1;

        temp = sprintf('viscosity%s_%sHz/sets/%1.5f/zero_deg_U.xy',visc{iter},freq{jter},time(kter));
        
        A = importdata(temp);

        hold all
        figure(teller);
        
        plot((0:(1/(length(A)-1)):1),A(:,3))
        
        xlabel('Time [s]')
        ylabel('Velocity [m/s]')
        
        title_handle = {sprintf('Turning velocity profile for viscosity of %s m^2/s and frequency of %s Hz,',visc{iter},freq{jter});'0.25 in amplitude and alpha value of 0.9'};
        title(title_handle,'FontWeight','bold')
        set(gca,'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('velocity_profile_visc%s_freq%s',visc{iter},freq{jter});
        print(figure(teller),'-djpeg',fig_name)

        hold off
        
        end
        
        legend(leg(jter,:)','Location','NorthEastOutside')
        teller = teller +1;

    end

end