clc
clear all

format short g

dt = 2e-5;

t_max = 0.00500;
counter=1;

% size = 1+t_max/dt;
% 
% b = zeros(size,1);

plot_factor = 15;
delta_t_factor = 15;

for i=delta_t_factor*dt:dt:plot_factor*dt

a = sprintf('viscosity_1e-3_300Hz/sets/%1.5f/zero_deg_U.xy',i);
b = sprintf('viscosity_1e-4_300Hz/sets/%1.5f/zero_deg_U.xy',i);
c = sprintf('viscosity_1e-5_300Hz/sets/%1.5f/zero_deg_U.xy',i);
d = sprintf('viscosity_1e-6_300Hz/sets/%1.5f/zero_deg_U.xy',i);

A = importdata(a);
B = importdata(b);
C = importdata(c);
D = importdata(d);

hold all

fig1 = figure(1);

plot((0:(1/(length(A)-1)):1),A(:,3),(0:(1/(length(B)-1)):1),B(:,3),(0:(1/(length(C)-1)):1),C(:,3),(0:(1/(length(D)-1)):1),D(:,3))

end

leg = ['viscosity of 1e-3';'viscosity of 1e-4';'viscosity of 1e-5';'viscosity of 1e-6'];

ylabel('Velocity [m/s]')
xlabel('Distance from inner cylinder [mm]')
legend(leg,'Location','NorthEastOutside')
title_handle = {'Velocity profiles with different viscosity for case with alpha=0.9, ';...
    '0.00025 in amplitude and 300 Hz in frequency.'};
title(title_handle,'FontWeight','bold')
set(gca, 'ActivePositionProperty', 'OuterPosition');
fig_name = 'viscosity_sweep';
print(fig1,'-djpeg',fig_name)
