clc
clear all

teller = 1;
k_teller = 1;

alpha = {sprintf('05'),sprintf('06'),sprintf('07'),sprintf('08'),sprintf('085'),sprintf('09'),sprintf('092')};
alpha_numb = [0.5 0.6 0.7 0.8 0.85 0.9 0.92];

N_alpha = length(alpha);

visc = {sprintf('1e-3'),sprintf('9e-4'),sprintf('8e-4'),sprintf('7e-4'),sprintf('6e-4'),sprintf('5e-4'),sprintf('4e-4'),sprintf('3e-4'),sprintf('2e-4'),sprintf('1e-4')};
visc_numb = [1e-3 9e-4 8e-4 7e-4 6e-4 5e-4 4e-4 3e-4 2e-4 1e-4];

N_visc = length(visc);

start_time = 0.00000;
end_time = 0.00500;
dt = 2e-5;
time = start_time:dt:end_time;
N_time = length(time);

stored_max = 0;
temp_max = 0;

for iter=1:N_alpha
    
    for jter=1:N_visc

        for kter=1:N_time
        
        k_teller = k_teller + 1;

        temp = sprintf('visc%s_alpha%s/sets/%1.5f/zero_deg_U.xy',visc{jter},alpha{iter},time(kter));
        
        A = importdata(temp);
        
        a = A(:,3);
        
        temp_max = max(a);
        mean_vel(kter) = mean(a);
        
            if temp_max > stored_max
        
                stored_max = temp_max;
            
            else
            
                temp_max = 0;
        
            end
        
        end
        
        mean_vel = mean(mean_vel);
        
        max_vel(jter,iter) = stored_max;
        mean_vel_stored(jter,iter) = mean_vel;
        
        stored_max = 0;
        
        leg2(jter,1) = {sprintf('Viscosity value of %s m^2/s',visc{jter})};
        
    end
    
    leg(iter,1) = {sprintf('Alpha value of %s',alpha{iter})};

    
        hold all
    
        figure(teller)
        plot(visc_numb,max_vel(:,iter))
        
        xlabel('Viscosity [m^2/s]')
        ylabel('Velocity [m/s]')
        legend('Max velocity','Location','NorthEastOutside')
        title_handle = {sprintf('Max velocity for alpha value of %s and variable viscosity,',alpha{iter});'0.25 in amplitude and 300Hz in frequency'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('max_velocity_visc%s_alpha%s',visc{jter},alpha{iter});
        print(figure(teller),'-djpeg',fig_name)
        
        hold off
        
        teller = teller +1;
    
end


        figure(teller)
        plot(visc_numb,max_vel)
        
        xlabel('Viscosity [m^2/s]')
        ylabel('Velocity [m/s]')
        legend(leg,'Location','NorthEastOutside')
        title_handle = {sprintf('Max velocity for different alpha values and variable viscosity,');'0.25 in amplitude and 300Hz in frequency'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('max_velocity_alpha_visc_summary');
        print(figure(teller),'-djpeg',fig_name)
        
        figure(teller+1)
        plot(alpha_numb,max_vel)
        
        xlabel('Alpha [-]')
        ylabel('Velocity [m/s]')
        legend(leg2,'Location','NorthEastOutside')
        title_handle = {sprintf('Max velocity for different alpha values and variable viscosity,');'0.25 in amplitude and 300Hz in frequency'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('max_velocity_alpha_summary');
        print(figure(teller+1),'-djpeg',fig_name)
        
        figure(teller+2)
        plot(alpha_numb,mean_vel_stored)
        
        xlabel('Alpha [-]')
        ylabel('Velocity [m/s]')
        legend(leg2,'Location','NorthEastOutside')
        title_handle = {sprintf('Mean velocity for different alpha values and variable viscosity,');'0.25 in amplitude and 300Hz in frequency'};
        title(title_handle,'FontWeight','bold')
        set(gca, 'ActivePositionProperty', 'OuterPosition');
        fig_name = sprintf('mean_velocity_alpha_summary');
        print(figure(teller+2),'-djpeg',fig_name)


